Show / Hide Table of Contents

# Class OpenIddictServerHandlers.Exchange.ValidateGrantType

Contains the logic responsible of rejecting token requests that specify an invalid grant type.

##### Inheritance

System.Object
OpenIddictServerHandlers.Exchange.ValidateGrantType

##### Implements

IOpenIddictServerHandler<ValidateTokenRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateGrantType : IOpenIddictServerHandler<ValidateTokenRequestContext>

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ValidateTokenRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ValidateTokenRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ValidateTokenRequestContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>